Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_search_view.pt	(revision 911)
@@ -2,5 +2,5 @@
             portal_status_message options/psm;
             objects options/objects;
-            is_manager options/is_manager;
+            is_so options/is_so;
             "
             >
@@ -14,8 +14,8 @@
     
     <metal:main fill-slot="main">
-      <span tal:condition="not: is_manager">
+      <span tal:condition="not: is_so">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
       </span>
-      <span tal:condition="is_manager"
+      <span tal:condition="is_so"
         tal:define="items objects;
         columns python:3;
@@ -54,7 +54,7 @@
                 tal:attributes="class python:test(repeat['object'].even(), 'even ajaxtd', 'odd ajaxtd')">
                 <td align="left" valign="middle" style="width: 5px;" 
-                    tal:condition="is_manager">
+                    tal:condition="is_so">
                   <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                         tal:condition="is_manager"
+                         tal:condition="is_so"
                          tal:define="id object/id"
                          tal:attributes="value id;
@@ -85,5 +85,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getFacultiesInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -24,7 +24,7 @@
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
+                tal:condition="is_so">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
+                     tal:condition="is_so"
                      tal:define="id row/id"
                      tal:attributes="value id;
@@ -54,5 +54,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCertificateInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -26,7 +26,7 @@
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
+                tal:condition="is_so">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
+                     tal:condition="is_so"
                      tal:define="id row/id"
                      tal:attributes="value id;
@@ -45,5 +45,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCertificatesInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -25,7 +25,7 @@
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
+                tal:condition="is_so">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
+                     tal:condition="is_so"
                      tal:define="id row/id"
                      tal:attributes="value id;
@@ -44,5 +44,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCoursesInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -53,7 +53,7 @@
                   tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
                 <td align="left" valign="middle" style="width: 5px;" 
-                    tal:condition="is_manager">
+                    tal:condition="is_so">
                   <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                         tal:condition="is_manager"
+                         tal:condition="is_so"
                          tal:define="id row/id"
                          tal:attributes="value id;
@@ -84,5 +84,5 @@
                 <td align="left" valign="top" rowspan="3"></td>
                 <td align="left" valign="top">
-                  <span tal:condition="is_manager">
+                  <span tal:condition="is_so">
                     <input type="button" value="button_select_all" class="context"
                            onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCoursesCertificatesInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -45,5 +45,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getDepartmentsInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -26,7 +26,7 @@
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
             <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
+                tal:condition="is_so">
               <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
+                     tal:condition="is_so"
                      tal:define="id row/id"
                      tal:attributes="value id;
@@ -56,5 +56,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 911)
@@ -18,5 +18,6 @@
 
 info = {}
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 911)
@@ -21,5 +21,6 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 911)
@@ -18,5 +18,6 @@
 
 info = {}
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s/faculty_view" % context.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 911)
@@ -21,5 +21,6 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 911)
@@ -22,5 +22,6 @@
 member_id = str(member)
 roles = member.getRolesInContext(context)
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 911)
@@ -18,6 +18,7 @@
 
 info = {}
-info['is_manager'] = context.isSectionManager
-info['is_student'] = context.isStudent
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
+info['is_student'] = context.isStudent()
 info['doc'] = context.getContent()
 return info
Index: WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 911)
@@ -19,5 +19,6 @@
 
 info = {}
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 911)
@@ -28,5 +28,6 @@
 cert_id = pt[-(2+p)]
 level_id = pt[-(1+p)]
-info['is_manager'] = context.isSectionManager()
+info['is_sm'] = context.isSectionManager()
+info['is_so'] = context.isSectionOfficer()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 911)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getLevelInfo;
-            is_manager info/is_manager|nothing;"
+            is_so info/is_so|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
@@ -27,7 +27,7 @@
                 tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td align="left" valign="middle" style="width: 5px;" 
-                  tal:condition="is_manager">
+                  tal:condition="is_so">
                 <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                       tal:condition="is_manager"
+                       tal:condition="is_so"
                        tal:define="id row/id"
                        tal:attributes="value id;
@@ -57,5 +57,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="is_manager">
+              <span tal:condition="is_so">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
Index: WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 903)
+++ WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 911)
@@ -22,5 +22,5 @@
 mtool = context.portal_membership
 path_info = request.get('PATH_INFO').split('/')
-is_manager = context.isSectionManager
+is_sm = context.isSectionManager()
 validate = request.has_key("cpsdocument_edit_button")
 items = []
@@ -44,5 +44,5 @@
                              #psm = "%s, %s" % (psm,ds),
                              objects = items,
-                             is_manager = is_manager,
+                             is_sm = is_sm,
                              choosen_ids = choosen_ids,
                              )
@@ -63,5 +63,5 @@
                              #psm = "%s, %s" % (psm,ds),
                              students = items,
-                             is_manager = is_manager,
+                             is_sm = is_sm,
                              choosen_ids = choosen_ids,
                              )
@@ -97,5 +97,5 @@
                              #psm = "%s, %s" % (psm,ds),
                              objects = objects,
-                             is_manager = is_manager,
+                             is_sm = is_sm,
                              choosen_ids = choosen_ids,
                              )