Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getFacultiesInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCertificateInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificates_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCertificatesInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/courses_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCoursesInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getCoursesCertificatesInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getDepartmentsInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 913)
@@ -18,7 +18,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 913)
@@ -21,7 +21,4 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 913)
@@ -18,7 +18,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s/faculty_view" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 913)
@@ -21,7 +21,4 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 913)
@@ -22,7 +22,4 @@
 member_id = str(member)
 roles = member.getRolesInContext(context)
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 913)
@@ -18,7 +18,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['doc'] = context.getContent()
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 913)
@@ -19,7 +19,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 913)
@@ -28,7 +28,4 @@
 cert_id = pt[-(2+p)]
 level_id = pt[-(1+p)]
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/level_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getLevelInfo;
-            is_so info/is_so|nothing;"
+            is_so context/isStudent;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 913)
@@ -1,5 +1,5 @@
 <metal:html tal:define="info context/getAccoFolderInfo;
-            is_so info/is_so|nothing;
-            beds_generated options/beds_generated|nothing"
+            is_so context/isSectionOfficer;
+            beds_generated options/beds_generated|nothing;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 913)
@@ -19,7 +19,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 913)
@@ -21,7 +21,4 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 913)
@@ -7,5 +7,5 @@
     form_action string:external_edit;
     form_type string:external;
-    edition python:True;
+    is_allowed context/isSectionOfficer;
     creation python:False;
     metadata metadata|nothing;"
Index: /WAeUP_SRP/trunk/skins/waeup_default/getDynamicRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/getDynamicRoles.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_default/getDynamicRoles.py	(revision 913)
@@ -12,4 +12,4 @@
 return the dynamic roles
 """
-return ('ClearanceOfficer','CourseAdviser')
+return ('ClearanceOfficer','CourseAdviser', SectionManager')
 
Index: /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 913)
@@ -6,5 +6,5 @@
   <tal:block condition="context/isStudent">
        <strong> 
-         <span tal:condition="info/is_student|nothing" tal:content="python:info['student_doc'].Title()" /> 
+         <span tal:condition="context/isStudent|nothing" tal:content="python:info['student_doc'].Title()" /> 
        </strong>
   </tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 913)
@@ -1,5 +1,5 @@
 <metal:html tal:define="info context/getDocumentInfo;
                         s_info context/getStudentInfo;
-                        is_so info/is_so|nothing;"
+                        is_so context/isSectionOfficer;"
             >
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 913)
@@ -8,5 +8,5 @@
            form_type string:waeup;
            creation python:False;
-           is_allowed context/isSectionOfficer
+           is_allowed context/isSectionOfficer;
            metadata metadata|nothing;
            ">
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 913)
@@ -1,5 +1,5 @@
 <metal:html tal:define="info context/getStudentInfo;
-                        is_so info/is_so|nothing;
-                        is_student info/is_student|nothing;
+                        is_so context/isSectionOfficer;
+                        is_student context/isStudent;
                         ">
   <metal:body use-macro="here/waeup_content_master/macros/master">
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 913)
@@ -21,8 +21,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_student'] = context.isStudent()
-info['is_co'] = context.isClearanceOfficer()
-info['is_so'] = context.isSectionOfficer()
 member_id = str(member)
 if student is None:
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 913)
@@ -18,7 +18,4 @@
 
 info = {}
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 913)
@@ -44,7 +44,4 @@
 student_id = pt[-(3+p)]
 level_id = pt[-(1+p)]
-info['is_sm'] = context.isSectionManager()
-info['is_so'] = context.isSectionOfficer()
-info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 913)
@@ -1,6 +1,6 @@
 <metal:html tal:define="info context/getStudentInfo;
-                is_so info/is_so|nothing;
+                is_so context/isSectionOfficer;
                 is_staff context/isStaff;
-                is_student info/is_student|nothing">
+                is_student context/isStudent">
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudyCourseInfo;
-            is_so info/is_so|nothing;
+            is_so context/isSectionOfficer;
             s_info context/getStudentInfo;"
             >
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 912)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 913)
@@ -1,4 +1,4 @@
 <metal:html tal:define="info context/getStudyLevelInfo;
-            is_so info/is_so|nothing;
+            is_so context/isSectionOfficer;
             s_info context/getStudentInfo;"
             >