Index: /WAeUP_SRP/trunk/exportimport.py
===================================================================
--- /WAeUP_SRP/trunk/exportimport.py	(revision 923)
+++ /WAeUP_SRP/trunk/exportimport.py	(revision 924)
@@ -77,5 +77,5 @@
     pm.setLocalGroupRoles(campus.students,['group:ClearanceOfficers',
                                            'role:Student',],'SectionReader')
-    pm.setLocalGroupRoles(campus.academics,['Authenticated',
+    pm.setLocalGroupRoles(campus.academics,['role:Authenticated',
                                            ],'SectionReader')
     importWAeUPTable(site.portal_accommodation, '', context,'accommodation')
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 923)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 924)
@@ -4,5 +4,5 @@
   <action title="Search Members" action_id="member_view" category="user"
      condition_expr="member"
-     url_expr="string:${portal_url}/cpsdirectory_entry_search_form?dirname=members"
+     url_expr="string:${portal_url}/search_members_form"
      visible="False">
    <permission>View</permission>
@@ -100,5 +100,5 @@
   <action title="Portal Members" action_id="members" category="global"
      condition_expr="member"
-     url_expr="string:${portal_url}/cpsdirectory_entry_search_form?dirname=members"
+     url_expr="string:${portal_url}/search_members_form"
      visible="True">
    <permission>Modify portal content</permission>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 923)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 924)
@@ -45,7 +45,4 @@
  <table>
   <row>
-   <cell name="id" ncols="2"/>
-  </row>
-  <row>
    <cell name="givenName"/>
    <cell name="sn"/>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 923)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 924)
@@ -20,8 +20,8 @@
 
 
-#return mtool.getCPSCandidateLocalRoles(context)
+allowed_roles = mtool.getCPSCandidateLocalRoles(context)
 
 
-if member.id == 'admin'
-  return ['SectionReader','SectionManager','ClearanceOfficer', 'SectionOfficer']
+if member.id in ("admin","perry"):
+    return ['SectionReader','SectionManager','ClearanceOfficer', 'SectionOfficer']
 return ['ClearanceOfficer', 'SectionOfficer']
Index: /WAeUP_SRP/trunk/skins/waeup_directory/layout_waeup_dir_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_directory/layout_waeup_dir_view.pt	(revision 923)
+++ /WAeUP_SRP/trunk/skins/waeup_directory/layout_waeup_dir_view.pt	(revision 924)
@@ -1,4 +1,4 @@
 <tal:block define="layout options/layout;
-                   dirname request/dirname;
+                   dirname string:members;
                    dir here/portal_directories/?dirname;
                    id_field dir/id_field;
Index: /WAeUP_SRP/trunk/skins/waeup_directory/search_members.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_directory/search_members.py	(revision 923)
+++ /WAeUP_SRP/trunk/skins/waeup_directory/search_members.py	(revision 924)
@@ -24,6 +24,11 @@
         mapping[key] = value
 
-result_fields = context.getDirectoryResultFields(dir.getId(),
-                                                 dir.title_field)
+#result_fields = context.getDirectoryResultFields(dir.getId(),
+#                                                 dir.title_field)
+result_fields = [{'id': 'sn', 'title': 'label_last_name', 'sort': 'asc'},
+                  {'id': 'givenName', 'title': 'label_first_name'},
+                  {'id': 'email', 'title': 'label_email'},
+                  #{'id': id_field, 'title': 'label_user_name'},
+                  ]
 
 return_fields = []