Index: WAeUP_SRP/trunk/profiles/default/directories.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories.xml	(revision 933)
+++ WAeUP_SRP/trunk/profiles/default/directories.xml	(revision 933)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_directories" meta_type="CPS Directory Tool">
+ <property name="title"></property>
+ <object name="waeup_stacking_dir" meta_type="CPS Stacking Directory"/>
+ <object name="students" meta_type="CPS ZODB Directory"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/directories/students.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 933)
+++ WAeUP_SRP/trunk/profiles/default/directories/students.xml	(revision 933)
@@ -0,0 +1,28 @@
+<?xml version="1.0"?>
+<object name="students" meta_type="CPS ZODB Directory">
+ <property name="title">Students</property>
+ <property name="schema">members</property>
+ <property name="schema_search">members_search</property>
+ <property name="layout">members</property>
+ <property name="layout_search">members_search</property>
+ <property name="acl_directory_view_roles">Manager; Member</property>
+ <property name="acl_entry_create_roles">Manager</property>
+ <property name="acl_entry_delete_roles">Manager</property>
+ <!-- switch back to Owner instead of Member once searchEntries will be
+      able to check ACLs -->
+ <property name="acl_entry_view_roles">Manager; Member</property>
+ <property name="acl_entry_edit_roles">Manager; Owner</property>
+ <property name="id_field">id</property>
+ <property name="title_field">fullname</property>
+ <property name="search_substring_fields">
+  <element value="id"/>
+  <element value="sn"/>
+  <element value="givenName"/>
+  <element value="email"/>
+ </property>
+ <property name="is_hierarchical">False</property>
+ <property name="password_field">password</property>
+ <entry-local-role
+    role="Owner">python:entry.get('id') == user_id</entry-local-role>
+ <cache-manager name="dir_ramcache"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 933)
+++ WAeUP_SRP/trunk/profiles/default/directories/waeup_stacking_dir.xml	(revision 933)
@@ -0,0 +1,31 @@
+<?xml version="1.0"?>
+<object name="waeup_stacking_dir" meta_type="CPS Stacking Directory">
+ <property name="title">The WAeUP Masterdirectory</property>
+ <property name="schema"></property>
+ <property name="schemas">
+  <element value="members"/>
+ </property>
+ <property name="schema_search">members_search</property>
+ <property name="schemas_search"/>
+ <property name="layout">members</property>
+ <property name="layout_search">members_search</property>
+ <property name="acl_directory_view_roles">Manager</property>
+ <property name="acl_entry_create_roles">Manager</property>
+ <property name="acl_entry_delete_roles">Manager</property>
+ <property name="acl_entry_view_roles">Manager</property>
+ <property name="acl_entry_edit_roles">Manager</property>
+ <property name="id_field">id</property>
+ <property name="title_field">fullname</property>
+ <property name="is_hierarchical">False</property>
+ <property name="search_substring_fields">
+  <element value="id"/>
+  <element value="sn"/>
+  <element value="givenname"/>
+  <element value="email"/>
+ </property>
+ <property name="backing_dirs">
+  <element value="members"/>
+  <element value="students"/>
+ </property>
+ <property name="creation_dir">members</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 930)
+++ WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 933)
@@ -79,4 +79,17 @@
     <property name="max_value">5</property>
  </widget>
+<widget name="blocks_for_female" meta_type="MultiSelect Widget">
+ <property name="title">Blocks for Female</property>
+ <property name="fields">
+  <element value="blocks_for_female"/>
+ </property>
+ <property name="is_required">False</property>
+ <property name="label">Blocks for Female</property>
+ <property name="label_edit">Blocks for Female</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+<property name="vocabulary">waeup_block_letters</property>
+</widget>
  <widget name="reserved_rooms" meta_type="WAeUPReservedRooms Widget">
   <property name="title">Reserved Rooms</property>
@@ -115,15 +128,6 @@
   <property name="width">72</property>
  </widget>
- <widget name="which_sex" meta_type="Boolean Widget">
-  <property name="fields">
-   <element value="which_sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
- </widget>
-<widget name="special_handling" meta_type="Select Widget">
- <property name="title">Maintenance Fee Prefix</property>
+ <widget name="special_handling" meta_type="Select Widget">
+ <property name="title">Special Handling code</property>
  <property name="fields">
   <element value="special_handling"/>
@@ -137,4 +141,17 @@
 <property name="vocabulary">acco_special_handling</property>
 </widget>
+<widget name="study_courses" meta_type="Lines Widget">
+ <property name="title">Studycourses</property>
+ <property name="fields">
+  <element value="study_courses"/>
+ </property>
+ <property name="label">Studycourses</property>
+ <property name="label_edit">Studycourses</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="width">20</property>
+ <property name="height">3</property>
+</widget> 
 <widget name="maintenance_code" meta_type="Select Widget">
  <property name="title">Maintenance Fee Prefix</property>
@@ -161,8 +178,11 @@
   </row>
   <row>
+   <cell name="study_courses"/>
+  </row>
+  <row>
    <cell name="text"/>
   </row>
   <row>
-   <cell name="which_sex"/>
+   <cell name="blocks_for_female"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 930)
+++ WAeUP_SRP/trunk/profiles/default/schemas/acco_hall.xml	(revision 933)
@@ -20,8 +20,9 @@
   </field>
  <field name="special_handling" meta_type="CPS String Field"/>
+ <field name="study_courses" meta_type="CPS String List Field"/>
  <field name="text" meta_type="CPS String Field">
   <property name="is_searchabletext">False</property>
  </field>
- <field name="which_sex" meta_type="CPS Boolean Field">
+ <field name="blocks_for_female" meta_type="CPS String List Field">
   </field>
    <field name="maintenance_code" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/users.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/users.xml	(revision 933)
+++ WAeUP_SRP/trunk/profiles/default/users.xml	(revision 933)
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<object name="acl_users" meta_type="CPS User Folder">
+ <property name="users_dir">waeup_stacking_dir</property>
+ <property name="groups_dir">groups</property>
+ <property name="groups_members_field">members</property>
+ <property name="roles_dir">roles</property>
+ <property name="roles_members_field">members</property>
+ <property name="users_groups_field">groups</property>
+ <property name="users_login_field">id</property>
+ <property name="users_password_field">password</property>
+ <property name="users_roles_field">roles</property>
+ <property name="cache_timeout">1</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 930)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 933)
@@ -10,4 +10,5 @@
  <object name="get_faculties_voc" meta_type="CPS Method Vocabulary"/>
  <object name="waeup_bed_letters" meta_type="CPS Vocabulary"/>
+ <object name="waeup_block_letters" meta_type="CPS Vocabulary"/>
  <object name="nigerian_states" meta_type="CPS Vocabulary"/>
  <object name="semester_voc" meta_type="CPS Vocabulary"/>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/waeup_block_letters.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/waeup_block_letters.xml	(revision 933)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/waeup_block_letters.xml	(revision 933)
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<object name="waeup_bed_letters" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="A" msgid="">Block A</item>
+ <item key="B" msgid="">Block B</item>
+ <item key="C" msgid="">Block C</item>
+ <item key="D" msgid="">Block D</item>
+ <item key="E" msgid="">Block E</item>
+ <item key="F" msgid="">Block F</item>
+ <item key="G" msgid="">Block G</item>
+ <item key="H" msgid="">Block H</item>
+</object>