Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 936)
+++ WAeUP_SRP/trunk/Academics.py	(revision 937)
@@ -235,5 +235,5 @@
             course_id = course.get('code')
             if course_id in course_list:
-                msg = "Dupplicate Course %(code)s" % course
+                msg = "Multiple Course Code"
                 logger.info(msg)
                 no_import.write('"%s",' % msg)
@@ -376,5 +376,5 @@
             code = cert_course.get('certificate_code')
 ##            pid = "%(depid)s_%(code)s" % vars()
-            pid = "%(code)s" % vars()            
+            pid = "%(code)s" % vars()
             if not pid in certs.keys():
                 em = 'CertCode %(certificate_code)s for %(code)s not found\n' % cert_course
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 936)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 937)
@@ -4,6 +4,5 @@
   <action title="Search Members" action_id="member_view" category="user"
      condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form"
-     visible="False">
+     url_expr="string:${portal_url}/search_members_form" visible="False">
    <permission>View</permission>
   </action>
@@ -100,6 +99,5 @@
   <action title="Portal Members" action_id="members" category="global"
      condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form"
-     visible="True">
+     url_expr="string:${portal_url}/search_members_form" visible="True">
    <permission>Modify portal content</permission>
   </action>
@@ -119,19 +117,21 @@
   </action>
   <action title="Students" action_id="view_students" category="navigation"
-     condition_expr="python:here.isStaff()" url_expr="string:${portal_url}/campus/students"
-     visible="True">
+     condition_expr="python:portal.campus.students.isStaff()"
+     url_expr="string:${portal_url}/campus/students" visible="True">
    <permission>View</permission>
   </action>
   <action title="PINs" action_id="view_pins" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus/pins"
-     visible="True">
-   <permission>Modify portal content</permission>
+     condition_expr="python:portal.campus.pins.isSectionOfficer()"
+     url_expr="string:${portal_url}/campus/pins" visible="True">
+   <permission>View</permission>
   </action>
   <action title="Contact" action_id="contact_admin" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/contact_admin_form" visible="True">
+     condition_expr="member"
+     url_expr="string:${portal_url}/contact_admin_form" visible="True">
    <permission>View</permission>
   </action>
   <action title="Support" action_id="support" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}/support_form" visible="True">
+     condition_expr="member" url_expr="string:${portal_url}/support_form"
+     visible="True">
    <permission>View</permission>
   </action>
@@ -160,15 +160,10 @@
    <permission>View</permission>
   </action>
-
   <action title="My Accommodation" action_id="reserve_accommodation"
      category="student_navigation" condition_expr="member"
      url_expr="string:${portal_url}/reserve_accommodation" visible="True"/>
-   <permission>View</permission>
-
   <action title="Register Courses" action_id="register_courses"
      category="student" condition_expr="member"
      url_expr="string:${portal_url}/register_courses" visible="False"/>
-   <permission>View</permission>
-
   <action title="Home" action_id="students_home" category="student_navigation"
      condition_expr="member" url_expr="string:${portal_url}" visible="True">
Index: WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 936)
+++ WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 937)
@@ -14,4 +14,9 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="View" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionReader"/>
+      <role name="SectionOfficer"/>
+    </permission>    
     <permission name="Add portal content" acquire="True">
       <role name="SectionManager"/>
@@ -36,4 +41,5 @@
     <permission name="List portal members" acquire="True">
       <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
     </permission>
     <permission name="Review portal content" acquire="True">
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 936)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 937)
@@ -21,5 +21,5 @@
 else:
     if context.portal_type == 'AcademicsFolder':
-        return context.academics.academics_view()
+        return context.academics_view()
     elif context.portal_type == 'Faculty':
         return context.faculty_view()
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 936)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 937)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return the appropriate page in the academics section
+return the appropriate page in the accommodation section
 """
 
@@ -17,7 +17,5 @@
 pm = context.portal_membership
 
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-
-if context.isSectionManager():
+if context.isSectionOfficer():
     if context.portal_type == 'AccoFolder':
         return context.accommodation.acco_folder_view()
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 936)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 937)
@@ -29,6 +29,6 @@
 <!--  buttons -->
 <metal:block define-macro="buttons">
-  <!-- SectionManager -->
-  <tal:block condition="context/isSectionManager"> 
+  <!-- SectionOfficer -->
+  <tal:block condition="context/isSectionOfficer"> 
   
      <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 936)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 937)
@@ -25,5 +25,5 @@
 if "ClearanceOfficers" in member.getGroups():
     return redirect("%s/search_students" % students_url)
-if context.isSectionManager():
+if context.isSectionOfficer():
     return redirect("%s/search_students" % students_url)
 if context.isStudent():