Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 941)
@@ -112,5 +112,5 @@
   </action>
   <action title="Hostels" action_id="view_accommodation" category="navigation"
-     condition_expr="member"
+     condition_expr="python:portal.campus.accommodation.isSectionOfficer()"
      url_expr="string:${portal_url}/campus/accommodation" visible="True">
    <permission>View</permission>
Index: /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 941)
@@ -37,8 +37,8 @@
  </action>
  <action title="Add Faculty" action_id="new_entry" category="object"
-    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
+    condition_expr="here/isSectionOfficer"
     url_expr="string:${object/absolute_url}/content_create?type_name=Faculty"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="action_folder_contents" action_id="contents" category="object"
@@ -46,59 +46,59 @@
     visible="False"/>
  <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
     visible="True">
   <permission value="Modify portal content"/>
  </action>
  <action title="Faculties" action_id="import_faculties" category="import"
-    condition_expr="" url_expr="string:${object_url}/loadFacultiesFromCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadFacultiesFromCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Departments" action_id="import_departments" category="import"
-    condition_expr="" url_expr="string:${object_url}/loadDepartmentsFromCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadDepartmentsFromCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Courses" action_id="import_courses" category="import"
-    condition_expr="" url_expr="string:${object_url}/loadCoursesFromCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadCoursesFromCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Certificates" action_id="import_certificates"
-    category="import" condition_expr=""
+    category="import" condition_expr="here/isSectionManager"
     url_expr="string:${object_url}/loadCertificatesFromCSV" visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="CertificateCourses" action_id="import_certificate_courses"
-    category="import" condition_expr=""
+    category="import" condition_expr="here/isSectionManager"
     url_expr="string:${object_url}/loadCertificateCoursesFromCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Faculties" action_id="export_faculties" category="export"
-    condition_expr="" url_expr="string:${object_url}/exportFacultiesToCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportFacultiesToCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Departments" action_id="export_departments" category="export"
-    condition_expr="" url_expr="string:${object_url}/exportDepartmentsToCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportDepartmentsToCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Courses" action_id="export_courses" category="export"
-    condition_expr="" url_expr="string:${object_url}/exportCoursesToCSV"
+    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportCoursesToCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="Certificates" action_id="export_certificates"
-    category="export" condition_expr=""
+    category="export" condition_expr="here/isSectionManager"
     url_expr="string:${object_url}/exportCertificatesToCSV" visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
  <action title="CertificateCourses" action_id="export_certificate_courses"
-    category="export" condition_expr=""
+    category="export" condition_expr="here/isSectionManager"
     url_expr="string:${object_url}/exportCertificateCoursesToCSV"
     visible="True">
-  <permission value="Modify portal content"/>
+  <permission value="View"/>
  </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 941)
@@ -48,6 +48,6 @@
  </action>
  <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: /WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatchesFolder.xml	(revision 941)
@@ -40,3 +40,8 @@
   <permission value="Modify portal content"/>
  </action>
+ <action title="Delegate" action_id="localroles" category="object"
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action> 
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 941)
@@ -42,5 +42,5 @@
  </action>
  <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: /WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 940)
+++ /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 941)
@@ -10,4 +10,5 @@
  <object name="waeup_student_subobject_wf" meta_type="CPS Workflow"/>
  <object name="waeup_student_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_course_registration_wf" meta_type="CPS Workflow"/>
  <object name="waeup_workspace_wf" meta_type="CPS Workflow"/>
  <object name="workspace_calendar_wf" meta_type="CPS Workflow"/>
@@ -24,8 +25,5 @@
   </type>
   <type type_id="AccoHall">
-   <bound-workflow workflow_id="waeup_accommodation_wf"/>
-  </type>
-  <type type_id="Accommodation">
-   <bound-workflow workflow_id="waeup_accommodation_wf"/>
+   <bound-workflow workflow_id="waeup_section_wf"/>
   </type>
   <type type_id="CPS Calendar">