Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 941)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 942)
@@ -131,5 +131,5 @@
    <permission>View</permission>
   </action>
-  <action title="Support" action_id="support" category="student_navigation"
+  <action title="Enquiries" action_id="support" category="student_navigation"
      condition_expr="member" url_expr="string:${portal_url}/support_form"
      visible="True">
Index: /WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 941)
+++ /WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 942)
@@ -61,5 +61,5 @@
  </action>
  <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 941)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 942)
@@ -48,4 +48,6 @@
     if cpsdocument_edit_button:
         psm = "Content changed!"
+        if context.isStudent():
+           action = "/clearance_edit_form"        
     elif cpsdocument_edit_and_view_button:
         if acknowledge:
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 941)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 942)
@@ -4,5 +4,5 @@
 <metal:block define-macro="header">
   <!--  Administration -->
-  <tal:block condition="python: not(is_staff or is_sm or is_student)">
+  <tal:block condition="python: not(is_staff or is_so or is_student)">
     <metal:block use-macro="here/error_not_found/macros/not_found" />
   </tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 941)
+++ /WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 942)
@@ -11,8 +11,8 @@
       <h3>Contact Student</h3>
       <br />
-      <span tal:condition="info/app_doc/app_email">
       <span tal:condition="not:info/app_doc/app_email"> 
       Sorry, the student did not provide an email address.
       </span>
+      <span tal:condition="info/app_doc/app_email">
       <form id="form1" name="form1" method="post" action="mail2student">
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/no_booking_allowed.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/no_booking_allowed.pt	(revision 942)
+++ /WAeUP_SRP/trunk/skins/waeup_student/no_booking_allowed.pt	(revision 942)
@@ -0,0 +1,12 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    <span tal:condition="not: info">
+      <metal:block use-macro="here/error_not_found/macros/not_found" />
+    </span>
+    <span tal:condition="info">
+      <h3>You are not eligible to book accommodation!</h3>
+    </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 941)
+++ /WAeUP_SRP/trunk/skins/waeup_student/reserve_accommodation.py	(revision 942)
@@ -21,4 +21,8 @@
 student = info['student']
 mode = 'create'
+
+if info['review_state'] != 'cleared_and_validated':
+    return context.REQUEST.RESPONSE.redirect("%s/no_booking_allowed" % info['student'].absolute_url())
+
 if info.has_key('acco') and info['acco']:
     validate = REQUEST.has_key("cpsdocument_edit_button")
Index: /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 941)
+++ /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 942)
@@ -3,5 +3,5 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
-      <h3>Support Form</h3>
+      <h3>Support/Enquiries Form</h3>
       <br />If you are having problems using the system please fill the form below with your correct details.<br /> <br /> 
       <form id="form1" name="form1" method="post" action="mail2admin">