Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml	(revision 946)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?xml version="1.0"?>
-<object name="ScratchCard" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Scratchcard</property>
- <property name="description"></property>
- <property name="content_icon">student.gif</property>
- <property name="content_meta_type">Scratch Card</property>
- <property name="product">CPSDocument</property>
- <property name="factory">addCPSDocument</property>
- <property name="immediate_view">cpsdocument_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types"/>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-  <element value="scratch_card"/>
- </property>
- <property name="layouts">
-  <element value="scratch_card"/>
- </property>
- <property name="layout_clusters"/>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="cpsdocument_view"/>
- <alias from="view" to="cpsdocument_view"/>
- <action title="action_view" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="action_new_content" action_id="new_content" category="object"
-    condition_expr="python:object.getTypeInfo().cps_proxy_type != 'document'"
-    url_expr="string:${object_url}/folder_factories" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="python:object.getTypeInfo().cps_proxy_type != 'document'"
-    url_expr="string:${object_url}/folder_contents" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="not:portal/portal_membership/isAnonymousUser"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
-  <permission value="View"/>
- </action>
- <action title="action_local_roles" action_id="localroles" category="object"
-    condition_expr="python:object.getTypeInfo().cps_proxy_type != 'document'"
-    url_expr="string:${object_url}/folder_localrole_form" visible="True">
-  <permission value="Change permissions"/>
- </action>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 946)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 950)
@@ -38,5 +38,5 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/waeup_edit_form" visible="True">
+    url_expr="string:${object_url}/waeup_edit_form" visible="False">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 946)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 950)
@@ -7,4 +7,7 @@
  <object name="waeup_base_wf" meta_type="CPS Workflow"/>
  <object name="waeup_section_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_scbf_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_students_folder_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_acco_folder_wf" meta_type="CPS Workflow"/>
  <object name="waeup_student_accommodation_wf" meta_type="CPS Workflow"/>
  <object name="waeup_student_subobject_wf" meta_type="CPS Workflow"/>
@@ -22,5 +25,5 @@
   </type>
   <type type_id="AccoFolder">
-   <bound-workflow workflow_id="waeup_section_wf"/>
+   <bound-workflow workflow_id="waeup_acco_folder_wf"/>
   </type>
   <type type_id="AccoHall">
@@ -54,7 +57,4 @@
    <bound-workflow workflow_id="waeup_section_wf"/>
   </type>
-  <type type_id="Jamb">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
   <type type_id="Members Workspace">
    <bound-workflow workflow_id="workspace_folder_wf"/>
@@ -64,5 +64,5 @@
   </type>
   <type type_id="ScratchCardBatchesFolder">
-   <bound-workflow workflow_id="waeup_section_wf"/>
+   <bound-workflow workflow_id="waeup_scbf_wf"/>
   </type>
   <type type_id="Section">
@@ -90,13 +90,4 @@
    <bound-workflow workflow_id="waeup_student_subobject_wf"/>
   </type>
-  <type type_id="StudentDocuments">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentElegibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentEligibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
   <type type_id="StudentPersonal">
    <bound-workflow workflow_id="waeup_student_subobject_wf"/>
@@ -115,5 +106,5 @@
   </type>
   <type type_id="StudentsFolder">
-   <bound-workflow workflow_id="waeup_section_wf"/>
+   <bound-workflow workflow_id="waeup_students_folder_wf"/>
   </type>
   <type type_id="StudyLevel">
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_acco_folder_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_acco_folder_wf/definition.xml	(revision 950)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_acco_folder_wf/definition.xml	(revision 950)
@@ -0,0 +1,46 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_acco_folder_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>Delete objects</permission>
+ <permission>View</permission>
+ <state state_id="static" title="">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="cut_copy_paste"/>
+  <permission-map name="Delete objects" acquired="True">
+  </permission-map>
+  <permission-map name="View" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionOfficer</permission-role>
+   <permission-role>SectionReader</permission-role>
+   <permission-role>SectionReviewer</permission-role>
+  </permission-map>
+ </state>
+ <transition transition_id="create" title="Initial creation"
+             new_state="static" trigger="USER"
+             before_script="" after_script="">
+
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="create_content"
+             title="Create content" new_state=""
+             trigger="USER" before_script="" after_script="">
+
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionReviewer</guard-role>
+   <guard-role>SectionReader</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="allow-sub-publishing"/>
+ </transition>
+</cps-workflow>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml	(revision 950)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml	(revision 950)
@@ -0,0 +1,46 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_scbf_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>Delete objects</permission>
+ <permission>View</permission>
+ <state state_id="static" title="">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="cut_copy_paste"/>
+  <permission-map name="Delete objects" acquired="False">
+  </permission-map>
+  <permission-map name="View" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionOfficer</permission-role>
+   <permission-role>SectionReader</permission-role>
+   <permission-role>SectionReviewer</permission-role>
+  </permission-map>
+ </state>
+ <transition transition_id="create" title="Initial creation"
+             new_state="static" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="create_content"
+             title="Create content" new_state=""
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionReviewer</guard-role>
+   <guard-role>SectionReader</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="allow-sub-publishing"/>
+ </transition>
+</cps-workflow>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 946)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 950)
@@ -4,4 +4,5 @@
               state_variable="review_state"
               meta_type="CPS Workflow">
+ <permission>Delete objects</permission>
  <permission>Modify portal content</permission>
  <permission>View</permission>
@@ -10,4 +11,5 @@
   <exit-transition transition_id="pume_fail"/>
   <exit-transition transition_id="pume_pass"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -20,4 +22,5 @@
  <state state_id="admission_rejected" title="">
   <exit-transition transition_id="finally_reject"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -32,7 +35,7 @@
   <exit-transition transition_id="enter_clearance_pin"/>
   <exit-transition transition_id="raise_objection"/>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionOfficer</permission-role>
+  <permission-map name="Delete objects" acquired="False" />
+  <permission-map name="Modify portal content"
+                  acquired="True">
   </permission-map>
   <permission-map name="View" acquired="True">
@@ -44,4 +47,5 @@
   <exit-transition transition_id="apply_for_admission"/>
   <exit-transition transition_id="create_content"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -56,4 +60,5 @@
   <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="request_clearance"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -70,4 +75,5 @@
   <exit-transition transition_id="reject_clearance"/>
   <exit-transition transition_id="create_content"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -83,4 +89,5 @@
   <exit-transition transition_id="create_content"/>
   <exit-transition transition_id="reject_clearance"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -95,4 +102,5 @@
  <state state_id="deferred" title="">
   <exit-transition transition_id="admit"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -104,4 +112,5 @@
  </state>
  <state state_id="finally_rejected" title="">
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -116,4 +125,5 @@
  <state state_id="objection_raised" title="">
   <exit-transition transition_id="enter_clearance_pin"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -127,4 +137,5 @@
  <state state_id="pume_failed" title="">
   <exit-transition transition_id="reject_admission"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -139,4 +150,5 @@
   <exit-transition transition_id="admit"/>
   <exit-transition transition_id="reject_admission"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -156,4 +168,5 @@
   <exit-transition transition_id="pume_pass"/>
   <exit-transition transition_id="reject_admission"/>
+  <permission-map name="Delete objects" acquired="False" />
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -168,5 +181,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -179,5 +192,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -190,5 +203,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -201,5 +214,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -210,5 +223,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -222,5 +235,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -233,5 +246,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -244,5 +257,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -255,5 +268,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -266,5 +279,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -277,5 +290,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -288,5 +301,5 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -300,5 +313,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -311,5 +324,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -322,5 +335,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -334,5 +347,5 @@
   <description>Time of the last transition</description>
   <default>
-   
+
    <expression>state_change/getDateTime</expression>
   </default>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_students_folder_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_students_folder_wf/definition.xml	(revision 950)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_students_folder_wf/definition.xml	(revision 950)
@@ -0,0 +1,47 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_students_folder_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>Delete objects</permission>
+ <permission>View</permission>
+ <state state_id="static" title="">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="cut_copy_paste"/>
+  <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionOfficer</permission-role>
+   <permission-role>SectionReader</permission-role>
+   <permission-role>SectionReviewer</permission-role>
+  </permission-map>
+ </state>
+ <transition transition_id="create" title="Initial creation"
+             new_state="static" trigger="USER"
+             before_script="" after_script="">
+
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="create_content"
+             title="Create content" new_state=""
+             trigger="USER" before_script="" after_script="">
+
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionReviewer</guard-role>
+   <guard-role>SectionReader</guard-role>
+   <guard-role>SectionOfficer</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="allow-sub-publishing"/>
+ </transition>
+</cps-workflow>
Index: WAeUP_SRP/trunk/profiles/default/workflows_old.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows_old.xml	(revision 946)
+++ 	(revision )
@@ -1,131 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_workflow" meta_type="CPS Workflow Tool">
- <property name="title"></property>
- <object name="section_content_wf" meta_type="CPS Workflow"/>
- <object name="section_folder_wf" meta_type="CPS Workflow"/>
- <object name="waeup_accommodation_wf" meta_type="CPS Workflow"/>
- <object name="waeup_base_wf" meta_type="CPS Workflow"/>
- <object name="waeup_section_wf" meta_type="CPS Workflow"/>
- <object name="waeup_student_accommodation_wf" meta_type="CPS Workflow"/>
- <object name="waeup_student_subobject_wf" meta_type="CPS Workflow"/>
- <object name="waeup_student_wf" meta_type="CPS Workflow"/>
- <object name="waeup_workspace_wf" meta_type="CPS Workflow"/>
- <object name="workspace_calendar_wf" meta_type="CPS Workflow"/>
- <object name="workspace_content_wf" meta_type="CPS Workflow"/>
- <object name="workspace_folder_wf" meta_type="CPS Workflow"/>
- <object name="workspace_folderish_content_wf" meta_type="CPS Workflow"/>
- <bindings>
-  <default/>
-  <type type_id="AcademicsFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="AccoFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="AccoHall">
-   <bound-workflow workflow_id="waeup_accommodation_wf"/>
-  </type>
-  <type type_id="Accommodation">
-   <bound-workflow workflow_id="waeup_accommodation_wf"/>
-  </type>
-  <type type_id="CPS Calendar">
-   <bound-workflow workflow_id="workspace_calendar_wf"/>
-  </type>
-  <type type_id="Certificate">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="CertificateCourse">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="CertificatesFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Course">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="CourseTicket">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="CoursesFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Department">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Faculty">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Jamb">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="Members Workspace">
-   <bound-workflow workflow_id="workspace_folder_wf"/>
-  </type>
-  <type type_id="ScratchCardBatch">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="ScratchCardBatchesFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Section">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Semester">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Student">
-   <bound-workflow workflow_id="waeup_student_wf"/>
-  </type>
-  <type type_id="StudentAccommodation">
-   <bound-workflow workflow_id="waeup_student_accommodation_wf"/>
-  </type>
-  <type type_id="StudentAdmission">
-   <bound-workflow workflow_id="waeup_student_wf"/>
-  </type>
-  <type type_id="StudentApplication">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentClearance">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentCourseResult">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentDocuments">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentElegibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentEligibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentPersonal">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentPume">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentSemester">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="StudentStudyCourse">
-   <bound-workflow workflow_id="waeup_student_subobject_wf"/>
-  </type>
-  <type type_id="StudentStudyLevel">
-   <bound-workflow workflow_id="waeup_course_registration_wf"/>
-  </type>
-  <type type_id="StudentsFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="StudyLevel">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="University">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Workspace">
-   <bound-workflow workflow_id="workspace_folder_wf"/>
-  </type>
- </bindings>
-</object>